Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIMediaOutput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractMediaOutput
                      org.richfaces.component.UIMediaOutput

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIMediaOutput

extends AbstractMediaOutput
implements javax.faces.component.behavior.ClientBehaviorHolder

Author:
  shura

Nested Class Summary
`protected static class` | `UIMediaOutput.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIMediaOutput()`

Method Summary
`java.lang.String` | `getAccesskey()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getArchive()`
`java.lang.String` | `getBorder()`
`java.lang.String` | `getCharset()`
`java.lang.String` | `getClassid()`
`java.lang.String` | `getCodebase()`
`java.lang.String` | `getCodetype()`
`java.lang.String` | `getCoords()`
`javax.el.MethodExpression` | `getCreateContent()`
`java.lang.String` | `getDeclare()`
`java.lang.String` | `getDefaultEventName()`
`java.lang.String` | `getDir()`
`java.lang.String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.util.Date` | `getExpires()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getHreflang()`
`java.lang.String` | `getHspace()`
`java.lang.String` | `getLang()`
`java.util.Date` | `getLastModified()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getRel()`
`java.lang.String` | `getRev()`
`java.lang.String` | `getShape()`
`java.lang.String` | `getStandby()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTabindex()`
`java.lang.String` | `getTarget()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
`java.lang.String` | `getUsemap()`
`java.lang.Object` | `getValue()`
`java.lang.String` | `getVspace()`
`boolean` | `isCacheable()`
`boolean` | `isIsmap()`
`void` | `setAccesskey(java.lang.String accesskey)`
`void` | `setAlign(java.lang.String align)`
`void` | `setArchive(java.lang.String archive)`
`void` | `setBorder(java.lang.String border)`
`void` | `setCacheable(boolean cacheable)`
`void` | `setCharset(java.lang.String charset)`
`void` | `setClassid(java.lang.String classid)`
`void` | `setCodebase(java.lang.String codebase)`
`void` | `setCodetype(java.lang.String codetype)`
`void` | `setCoords(java.lang.String coords)`
`void` | `setCreateContent(javax.el.MethodExpression createContent)`
`void` | `setDeclare(java.lang.String declare)`
`void` | `setDir(java.lang.String dir)`
`void` | `setElement(java.lang.String element)`
`void` | `setExpires(java.util.Date expires)`
`void` | `setFileName(java.lang.String fileName)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setIsmap(boolean ismap)`
`void` | `setLang(java.lang.String lang)`
`void` | `setLastModified(java.util.Date lastModified)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOnkeydown(java.lang.String onkeydown)`
`void` | `setOnkeypress(java.lang.String onkeypress)`
`void` | `setOnkeyup(java.lang.String onkeyup)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setShape(java.lang.String shape)`
`void` | `setStandby(java.lang.String standby)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTabindex(java.lang.String tabindex)`
`void` | `setTarget(java.lang.String target)`
`void` | `setTitle(java.lang.String title)`
`void` | `setType(java.lang.String type)`
`void` | `setUriAttribute(java.lang.String uriAttribute)`
`void` | `setUsemap(java.lang.String usemap)`
`void` | `setValue(java.lang.Object value)`
`void` | `setVspace(java.lang.String vspace)`

Methods inherited from class org.richfaces.component.AbstractMediaOutput
`getResource`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIMediaOutput

    public UIMediaOutput()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getAccesskey

    public java.lang.String getAccesskey()

  Specified by:
    `getAccesskey` in class `AbstractMediaOutput`

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in class `AbstractMediaOutput`

### setAlign

    public void setAlign(java.lang.String align)

### getArchive

    public java.lang.String getArchive()

  Specified by:
    `getArchive` in class `AbstractMediaOutput`

### setArchive

    public void setArchive(java.lang.String archive)

### getBorder

    public java.lang.String getBorder()

  Specified by:
    `getBorder` in class `AbstractMediaOutput`

### setBorder

    public void setBorder(java.lang.String border)

### isCacheable

    public boolean isCacheable()

  Specified by:
    `isCacheable` in class `AbstractMediaOutput`

### setCacheable

    public void setCacheable(boolean cacheable)

### getCharset

    public java.lang.String getCharset()

  Specified by:
    `getCharset` in class `AbstractMediaOutput`

### setCharset

    public void setCharset(java.lang.String charset)

### getClassid

    public java.lang.String getClassid()

  Specified by:
    `getClassid` in class `AbstractMediaOutput`

### setClassid

    public void setClassid(java.lang.String classid)

### getCodebase

    public java.lang.String getCodebase()

  Specified by:
    `getCodebase` in class `AbstractMediaOutput`

### setCodebase

    public void setCodebase(java.lang.String codebase)

### getCodetype

    public java.lang.String getCodetype()

  Specified by:
    `getCodetype` in class `AbstractMediaOutput`

### setCodetype

    public void setCodetype(java.lang.String codetype)

### getCoords

    public java.lang.String getCoords()

  Specified by:
    `getCoords` in class `AbstractMediaOutput`

### setCoords

    public void setCoords(java.lang.String coords)

### getCreateContent

    public javax.el.MethodExpression getCreateContent()

  Specified by:
    `getCreateContent` in class `AbstractMediaOutput`

### setCreateContent

    public void setCreateContent(javax.el.MethodExpression createContent)

  Specified by:
    `setCreateContent` in class `AbstractMediaOutput`

### getDeclare

    public java.lang.String getDeclare()

  Specified by:
    `getDeclare` in class `AbstractMediaOutput`

### setDeclare

    public void setDeclare(java.lang.String declare)

### getDir

    public java.lang.String getDir()

  Specified by:
    `getDir` in class `AbstractMediaOutput`

### setDir

    public void setDir(java.lang.String dir)

### getElement

    public java.lang.String getElement()

  Description copied from class: `AbstractMediaOutput`
  Get Element name for rendering ( imj , a , object, applet ).

  Specified by:
    `getElement` in class `AbstractMediaOutput`
  Returns:

### setElement

    public void setElement(java.lang.String element)

### getExpires

    public java.util.Date getExpires()

  Specified by:
    `getExpires` in class `AbstractMediaOutput`

### setExpires

    public void setExpires(java.util.Date expires)

### getFileName

    public java.lang.String getFileName()

  Specified by:
    `getFileName` in class `AbstractMediaOutput`

### setFileName

    public void setFileName(java.lang.String fileName)

### getHreflang

    public java.lang.String getHreflang()

  Specified by:
    `getHreflang` in class `AbstractMediaOutput`

### setHreflang

    public void setHreflang(java.lang.String hreflang)

### getHspace

    public java.lang.String getHspace()

  Specified by:
    `getHspace` in class `AbstractMediaOutput`

### setHspace

    public void setHspace(java.lang.String hspace)

### isIsmap

    public boolean isIsmap()

  Specified by:
    `isIsmap` in class `AbstractMediaOutput`

### setIsmap

    public void setIsmap(boolean ismap)

### getLang

    public java.lang.String getLang()

  Specified by:
    `getLang` in class `AbstractMediaOutput`

### setLang

    public void setLang(java.lang.String lang)

### getLastModified

    public java.util.Date getLastModified()

  Specified by:
    `getLastModified` in class `AbstractMediaOutput`

### setLastModified

    public void setLastModified(java.util.Date lastModified)

### getMimeType

    public java.lang.String getMimeType()

  Specified by:
    `getMimeType` in class `AbstractMediaOutput`

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getOnblur

    public java.lang.String getOnblur()

  Specified by:
    `getOnblur` in class `AbstractMediaOutput`

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnclick

    public java.lang.String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractMediaOutput`

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOndblclick

    public java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractMediaOutput`

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnfocus

    public java.lang.String getOnfocus()

  Specified by:
    `getOnfocus` in class `AbstractMediaOutput`

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOnkeydown

    public java.lang.String getOnkeydown()

  Specified by:
    `getOnkeydown` in class `AbstractMediaOutput`

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

  Specified by:
    `getOnkeypress` in class `AbstractMediaOutput`

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

  Specified by:
    `getOnkeyup` in class `AbstractMediaOutput`

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractMediaOutput`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractMediaOutput`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractMediaOutput`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractMediaOutput`

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractMediaOutput`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getRel

    public java.lang.String getRel()

  Specified by:
    `getRel` in class `AbstractMediaOutput`

### setRel

    public void setRel(java.lang.String rel)

### getRev

    public java.lang.String getRev()

  Specified by:
    `getRev` in class `AbstractMediaOutput`

### setRev

    public void setRev(java.lang.String rev)

### getShape

    public java.lang.String getShape()

  Specified by:
    `getShape` in class `AbstractMediaOutput`

### setShape

    public void setShape(java.lang.String shape)

### getStandby

    public java.lang.String getStandby()

  Specified by:
    `getStandby` in class `AbstractMediaOutput`

### setStandby

    public void setStandby(java.lang.String standby)

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in class `AbstractMediaOutput`

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractMediaOutput`

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getTabindex

    public java.lang.String getTabindex()

  Specified by:
    `getTabindex` in class `AbstractMediaOutput`

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### getTarget

    public java.lang.String getTarget()

  Specified by:
    `getTarget` in class `AbstractMediaOutput`

### setTarget

    public void setTarget(java.lang.String target)

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in class `AbstractMediaOutput`

### setTitle

    public void setTitle(java.lang.String title)

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in class `AbstractMediaOutput`

### setType

    public void setType(java.lang.String type)

### getUriAttribute

    public java.lang.String getUriAttribute()

  Description copied from class: `AbstractMediaOutput`
  Get URI attribute for resource ( src for images, href for links etc ).

  Specified by:
    `getUriAttribute` in class `AbstractMediaOutput`
  Returns:

### setUriAttribute

    public void setUriAttribute(java.lang.String uriAttribute)

### getUsemap

    public java.lang.String getUsemap()

  Specified by:
    `getUsemap` in class `AbstractMediaOutput`

### setUsemap

    public void setUsemap(java.lang.String usemap)

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`
  Specified by:
    `getValue` in class `AbstractMediaOutput`

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `javax.faces.component.UIOutput`

### getVspace

    public java.lang.String getVspace()

  Specified by:
    `getVspace` in class `AbstractMediaOutput`

### setVspace

    public void setVspace(java.lang.String vspace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.